Subject: Re: gtk2 on cygwin ( --with-gdktarget=win32, only )
From: "Gerrit P. Haase" <[email-masked]>
To: "S . L ." <[email-masked]>
Cc: [email-masked]
Date: Tue, 8 Jul 2003 08:19:12 +0200

Hallo S,

Am Montag, 7. Juli 2003 um 08:33 schriebst du:

> Gerrit,
> [...]
>> I do always this before the build:
>> $ autoreconf --install --force --verbose
> [...]

> A good trick (autotools method ?) to keep in mind.
> Anyway, having the stuff working after over 2 months digging, now I turned
> to test some apps :)) (which, by the way, are just a few -- most of gtk2 apps
> are "gnomed" or at least libgnomecanvas and/or libgnomeprint dependant).

I have now bluefish running, Dia is running, makes still some
problems, it seems to look for cygslxt.dll in /usr/lib, of course
there is no library with this name.  I have xmlroff which is no GUI
application and depends on glib-2.0, libgnomeprint and a patched up
version of pango (pangopdf) besides some other libraries.  To build
libgnomeprint seems to be no problem without Gnome.

> [...]

>> this takes also care of missing/outdated helper scripts, also you don't
>> apply the patches to Maekfile.in but to Makefile.am then.

>> My glib-2.0 and gtk+-2.0 et.al. are available for download now:
>> http://anfaenger.de/cygwin/gtk+/

> [...]

> Oh, please do not! My whole fuss was to find out "how are they doing this?!"
> (something similar with what happened when linux world migrated from libc5
> to "glibc2 a.k.a. libc6"; but that's history already :)

'How I'm doing this' or 'how the GTK people and application developer
are doing this?

Anyway, why should everybody interested in bluefish with gtk+-2.0 need
to build it himself?  It was not that easy, I needed some days to get
all the libraries compiled so this neat editor was running finally.
Have a look: http://anfaenger.de/cygwin/bluefish/

Would be nice to see if it runs also with glib-2.0 et.al compiled by
you. 

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/